%define name thelastripper
%define version 1.4.1
%define release %mkrel 1

Summary:	An audio stream ripper for Last.fm
Summary(de):	Ein Audio Streamripper für Last.FM
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		http://thelastripper.com/
Source0:	http://thelastripper.googlecode.com/files/%{name}-%{version}.tar.bz2
Source1:   	%{name}.png.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:       mono >= 1.2.5
Requires:       gtk-sharp2 >= 2.10.2
Requires:       librsvg >= 2.18.2
Requires:       xdg-utils
BuildRequires:  libmono-devel >= 1.2.5
BuildRequires: 	taglib-sharp
BuildRequires:  gnome-sharp2 >= 2.16.0
BuildArch:      noarch
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes:  	%name < %version

%description
TheLastRipper can save Last.fm streams to mp3's, while downloading 
album cover, appending ID3v1 tags and organizing you music after 
Artist/Album/Track. TheLastRipper will also help you generate playlists 
from the data available from you Last.fm account. 

TheLastRipper requires a Last.fm login, you can regsiter for free 
at http://last.fm/

Please note that recordings of radio streams, may NOT be legal, 
we recommend that you investegate you local laws, before using 
TheLastRipper.

#german
%description -l de
TheLastRipper kann Last.FM Streams als mp3 's speichern, beim herunter 
laden von Album-Cover, ID3v1-Tags anhängen und Musik nach 
Künstler/Album/Track organisieren. TheLastRipper auch beim erstellen 
ihrer Wiedergabelisten ihres Last.FM Kontos helfen.

TheLastRipper erfordert eine Anmeldung Last.FM, sie können sich kostenlos 
bei http://last.fm/ registrieren.

Beachten Sie, Aufnahmen von Radio-Streams, können illegal sein, wir empfehlen, 
dass Sie sich, vor der Verwendung von TheLastRipper über die örtlichen 
Gesetze informieren. 


%prep
%setup -q

%build
%configure2_5x --prefix="${RPM_BUILD_ROOT}/%{_prefix}"

%make
rm -rf ${RPM_BUILD_ROOT}

%install
%makeinstall_std

# Remove broken XDG file
rm -f ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
rm -f ${RPM_BUILD_ROOT}%{_libdir}/%{name}/TheLastRipper.png

# XDG Menu
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applications
cat > ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=TheLastRipper
Comment=TheLastRipper records Last.FM radiostreams to MP3
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Encoding=UTF-8
Categories=AudioVideo;Audio;X-MandrivaLinux-Multimedia-Sound;
EOF

# Icons
mkdir -p ${RPM_BUILD_ROOT}{%_liconsdir,%_iconsdir,%_miconsdir}
bzcat %{SOURCE1} > ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png
convert -scale 32 ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
convert -scale 16 ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png

#Remove broken wrapper
rm -f ${RPM_BUILD_ROOT}%{_bindir}/%{name}

#Create new wrapper
cat << EOF > ${RPM_BUILD_ROOT}%{_bindir}/%{name}
#!/bin/sh

exec mono "%{_libdir}/%{name}/TheLastRipper.exe" "\$@"

exit
EOF

%post
%{update_menus}
%{update_desktop_database}

%postun
%{clean_menus}
%{clean_desktop_database}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/TheLastRipper.exe
%{_libdir}/%{name}/libLastRip.dll
%{_libdir}/pkgconfig/lockerput.pc
%{_libdir}/thelastripper/LockerPut.dll


%changelog
* Mon Nov 30 2009 slick50 <lxgator at gmail.com> 1.4.1-1pclos2010
- 1.4.1
- remove obsoleted menu (tex)
- fix xdg menu (tex)

* Fri Jul 11 2008 Torbjorn Turpeinen (Thac) <tobbe@djura.org> 1.1.1-1
- initial build for pclinuxos 2007
